import logging
import os

import sys
from bgconfig import BGConfig


def load_configuration(config_file):
    """
    Load the configuration file and check format.

    :param config_file: The path to the config file. If it's none, use default location.
    :return: The config dictionary
    """

    config_template = os.path.join(os.path.dirname(__file__), "oncodrivemut.conf.template")

    try:
        return BGConfig(config_template, config_file=config_file)
    except ValueError as e:
        logging.error(e)
        sys.exit(-1)
