from setuptools import setup, find_packages
from oncodrivemut import __version__, __author__, __email__

setup(
    name="oncodrivemut",
    version=__version__,
    packages=find_packages(),

    package_data={'': ['*.template', '*.template.spec']},

    install_requires=[
        'bgconfig >= 0.3.0',
        'numpy >= 1.9.0',
        'pandas >= 0.15.2',
        'bgdata >= 0.13.0',
        'colorama >= 0.3.7',
        'itab >= 0.6.0',
        'ago >= 0.0.6'
    ],

    author=__author__,
    author_email=__email__,
    description="The OncodriveMut Cancer Genome Interpreter",
    license="UPF Free Source Code",
    keywords="",
    url="https://bitbucket.org/bbglab/oncodrivemut",
    download_url="https://bitbucket.org/bbglab/oncodrivemut/get/{}.tar.gz".format(__version__),

    classifiers=[
        "Intended Audience :: Bioinformatics",
        "Intended Audience :: Science/Research",
        "Natural Language :: English",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3.4",
        "Topic :: Scientific/Engineering",
        "Topic :: Scientific/Engineering :: Bio-Informatics"
    ],

    entry_points={
        'console_scripts': [
            'oncodrivemut = oncodrivemut.pipeline:cmdline'
        ]
    }
)
